
body.vertical {
	--dialogContentHeight: calc(100vh - var(--dialogHeaderHeight) * 2);
	--dialogContentInnerHeight: calc(var(--dialogContentHeight) - 2rem);
}
body.vertical .vita-mainLoginAds {
	display: none;
}
body.vertical .vita-mainLoginForm {
	width: 100%;
}
body.vertical .vita-sideMenuContainer
, body.smallScreen .vita-sideMenuContainer
{
	position: absolute;
	top: 0;
	left: -270px;
	transition: left 0.17s ease-in-out;
	z-index: 10;
	height: 100%;
}
body.vertical .vita-sideMenuAwayClicker
, body.smallScreen .vita-sideMenuAwayClicker
{
	position: absolute;
	background-color: #0009;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	z-index: 9;
}
body.vertical .vita-sideMenuShowBtn
, body.smallScreen .vita-sideMenuShowBtn
{
	display: block;
	cursor: pointer;
	width: var(--headerPanelHeight);
	height: var(--headerPanelHeight);
	background-image: url('/img/icons/burger_g.png');
	background-position: center;
	background-repeat: no-repeat;
	background-size: 75%;
	opacity: 0.8;
}
body.vertical .vita-sideMenuShowBtn:hover
, body.vertical .vita-sideMenuShowBtn:active
, body.smallScreen .vita-sideMenuShowBtn:hover
, body.smallScreen .vita-sideMenuShowBtn:active
{
	opacity: 1;
}
body.vertical .vita-pageContentContainer
, body.smallScreen .vita-pageContentContainer
{
	width: 100%;
}
body.vertical .vita-sideMenuContainer.shown
, body.smallScreen .vita-sideMenuContainer.shown
{
	left: 0;
}
body.vertical .widgetColumnLeft:not(:last-child) {
	width: 100%;
}

body.vertical .vita-pageHeader .vita-pageTitle {
	padding-left: 0;
}
body.vertical .vita-pageHeader .vita-notifications.rin
, body.smallScreen .vita-pageHeader .vita-notifications.rin
{
	width: calc(var(--headerPanelHeight)* 0.8);
	height: calc(var(--headerPanelHeight)* 0.8);
	margin-right: calc(var(--headerPanelHeight)* 0.2);
	/*width: var(--headerPanelHeight);
	height: var(--headerPanelHeight);
	margin-right: 0;
	border-radius: 0;
	border-width: 2px;
	border-color: #fff;
	border-left-color: #D7D5D5;*/
}
/*body.vertical .vita-pageHeader .vita-notifications.rin.red
, body.smallScreen .vita-pageHeader .vita-notifications.rin.red
{
	border-color: #E46066;
}*/
body.vertical .vita-notificationsContainer .showHideNotificationsBtn.simple
, body.smallScreen .vita-notificationsContainer .showHideNotificationsBtn.simple
{
	--vertNtfCloseSize: min(6vw, 2.46rem);
	height: var(--vertNtfCloseSize);
	width: var(--vertNtfCloseSize);
	top: 0;
	left: calc(var(--vertNtfCloseSize) * (-0.8));
}

body.vertical .kb-dialog.hasMainTable {
	--dialogContentInnerHeight: calc(var(--dialogContentHeight) - 1rem);
}
body.vertical .kb-dialog.hasMainTable > .dialog > .content .filterContainer {
	padding-top: 1rem;
}

body.vertical .taskContentPane {
	display: none;
}
body.vertical .vita-tasksView .taskList {
	width: 100%;
}
body.vertical .vita-tasksView {
	font-size: min(1em, 2.4vw);
}
.vita-tasksView {
	font-size: min(1em, 2.4vw);
}

body.vertical .vita-pageContent {
	flex-direction: column;
}
body.vertical .widgetColumnRight {
	width: 100%;
	flex-shrink: 0;
	flex-grow: 0;
}

body.vertical .vita-chartSummary {
	flex-wrap: wrap;
}
body.vertical .vita-chartSummary .volumeSummary
, body.vertical .vita-chartSummary .flowSummary {
	width: 40%;
	min-width: unset;
	max-width: unset;
}
body.vertical .vita-chartSummary .chartSummaryGroup {
	width: 100%;
	min-width: unset;
	max-width: unset;
}

.colHintEntry .caption {
	max-width: 90vw;
}

body.smallScreen .vita-pageWidgetTitle .icon {
	left: 0px;
	width: 1.2em;
	height: 1.2em;
}
body.smallScreen .vita-pageWidgetTitle .title {
	margin-left: 1.6em;
}
body.smallScreen .vita-pageWidgetTitle .icon + .vita-filterButton {
	margin-left: 2.6em;
}

body.vertical .vita-dailySystemOverview .hpList-grid .cell.hpTypeName
, body.vertical .vita-dailySystemOverview .hpList-grid .gridHeader.hpTypeName {
	display: none;
}
body.vertical .vita-dailySystemOverview .hpList-grid {
	grid-template-columns: 4.5em auto auto auto auto;
}


@media (max-width: 2600px) {
	body:not(.vertical) .hp-balance-table {
		font-size: 0.95rem;
	}
}
@media (max-width: 2400px) {
	body:not(.vertical) .hp-balance-table {
		font-size: 0.87rem;
	}
}
@media (max-width: 2200px) {
	body:not(.vertical) .hp-balance-table {
		font-size: 0.75rem;
	}
}
@media (max-width: 2000px) {
	body:not(.vertical) .hp-balance-table {
		font-size: 0.7rem;
	}
}
@media (max-width: 1920px) {
	body:not(.vertical) .vita-chartSummary {
		font-size: calc((100vw - min(34vw, 470px) - 256px) / 100);
	}
}
@media (max-width: 1900px) {
	body:not(.vertical) .hp-balance-table {
		font-size: 0.63rem;
	}
}
@media (max-width: 1760px) {
	body:not(.vertical) .hp-balance-table {
		font-size: 0.58rem;
	}
}
@media (max-width: 1650px) {
	body:not(.vertical) .vita-chartSummary {
		font-size: 1rem;
		flex-wrap: wrap;
	}
	body:not(.vertical) .vita-chartSummary .volumeSummary
	, body:not(.vertical) .vita-chartSummary .flowSummary
	{
		min-width: unset;
		width: 30%;
	}
	body:not(.vertical) .hp-balance-table {
		font-size: 0.55rem;
	}
	.vita-chartSummary .chartSummaryGroup {
		min-width: unset;
		max-width: unset;
		width: 100%;
	}
}
@media (max-width: 1590px) {
	body:not(.vertical) {
		--noscrollWidgetHeight: calc(100vh - var(--headerPanelHeight) - 6px);
		--noscrollWidgetHalfHeight: calc(var(--noscrollWidgetHeight) / 2 - 3px);
	}
	.vita-pageContent {
		gap: 3px;
		padding: 3px 0 0 3px;
	}
	.widgetColumnLeft, .widgetColumnRight {
		gap: 3px;
	}
	.vita-pageWidget {
		border-radius: 3px;
		padding: 12px;
	}
	body:not(.vertical) .widgetColumnLeft:not(:last-child) {
		width: calc(100% - 3px - min(30vw, 440px));
	}
	.vita-dailySystemOverview .hpList-grid .cell.hpTypeName
	, .vita-dailySystemOverview .hpList-grid .gridHeader.hpTypeName {
		display: none;
	}
	.vita-dailySystemOverview .hpList-grid {
		grid-template-columns: 4.5em auto auto auto auto;
	}
}
@media (max-width: 1480px) {
	body:not(.vertical) .vita-chartSummary .volumeSummary
	, body:not(.vertical) .vita-chartSummary .flowSummary
	{
		width: 40%;
	}
	body:not(.vertical) .hp-balance-table {
		font-size: 0.47rem;
	}
}
@media (max-width: 1290px) {
	body:not(.vertical) .vita-chartSummary .volumeSummary
	, body:not(.vertical) .vita-chartSummary .flowSummary
	{
		width: 40%;
	}
	body:not(.vertical) .hp-balance-table {
		font-size: 0.49rem;
	}
	.filterStaticButton {
		margin-left: 3px;
	}
}
@media (max-width: 1180px) {
	body:not(.vertical) table.dataTable.fullWidth.vita-sensorsLastMessages {
		font-size: 1.1vw;
	}
}
@media (max-width: 960px) {
	body:not(.vertical) .editHydropostColLeft .basicInfoSection {
		display: flex;
		flex-direction: column;
	}
	body:not(.vertical) .editHydropostColLeft .basicInfoSection .fieldsSection
	, body:not(.vertical) .editHydropostColLeft .basicInfoSection .photoSection
	{
		width: 100%;
		padding: 0;
	}
	body:not(.vertical) .editHydropostColLeft .basicInfoSection .fieldsSection {
		border-width: 0 0 1px 0;
	}

	body:not(.vertical) .hydropostDetailsForm .measurementsHeader .basicBtn.chartSwitch.split {
		display: none;
	}

	.hydropostDetailsForm .measurementsContainer {
		font-size: max(8px, 1.2vw);
	}
}

@media (max-height: 700px) {
	.kb-dialog > .dialog {
		top: 0;
	}
	.kb-dialog {
		--dialogContentHeight: calc(100vh - var(--dialogHeaderHeight) * 2);
	}
	.kb-dialog.noFooter {
		--dialogContentHeight: calc(100vh - var(--dialogHeaderHeight));
	}
	body:not(.vertical) .vita-chartSummary .volumeSummary
	, body:not(.vertical) .vita-chartSummary .flowSummary
	{
		max-width: unset;
	}
}

body.vertical .editHydropostColLeft .basicInfoSection
, body.vertical .hydropostEditForm
{
	display: flex;
	flex-direction: column;
}
body.vertical .editHydropostColLeft
, body.vertical .editHydropostColRight
{
	padding: 0;
	border-width: 0;
	width: 100%;
}
body.vertical .editHydropostColLeft .basicInfoSection .fieldsSection
, body.vertical .editHydropostColLeft .basicInfoSection .photoSection
{
	width: 100%;
	padding: 0;
	border-width: 0 0 1px 0;
}

body.vertical .kb-dialog > .dialog {
	top: 0;
}
body.vertical .kb-dialog {
	--dialogContentHeight: calc(100vh - var(--dialogHeaderHeight) * 2);
}
body.vertical .kb-dialog.noFooter {
	--dialogContentHeight: calc(100vh - var(--dialogHeaderHeight));
	--dialogContentInnerHeight: calc(var(--dialogContentHeight) - 2rem);
}
body.vertical .kb-dialog > .dialog > .content {
	padding: 1rem;
}



body.vertical .hydropostDetailsForm .measurementsHeaderTable th {
	padding: 0.45em 0em 0.35em 0.8em;
	line-height: 1.1;
}
body.vertical .hydropostDetailsForm .measurementsTable td {
	padding: 6px 0 4px 0.7em;
}
body.vertical .hydropostDetailsForm .measurementsHeader .basicBtn.chartSwitch {
	width: 1.6em;
}
body.vertical .hydropostDetailsForm .measurementsHeader .basicBtn.chartSwitch.split {
	display: none;
}